Bug 1544542 - Repository update api documentation (and cli) is missing ignore_global_proxy option
Summary: Repository update api documentation (and cli) is missing ignore_global_proxy ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 6.4.0
Assignee: Justin Sherrill
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On: 1132980
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-12 19:36 UTC by Justin Sherrill
Modified: 2021-06-10 14:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-16 19:13:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22561 0 None None None 2018-02-12 19:38:12 UTC

Description Justin Sherrill 2018-02-12 19:36:21 UTC
Description of problem:

The repository create api docs (and cli options) include an ignore_global_proxy option, but the update does not.


Version-Release number of selected component (if applicable):
6.3.0 beta

How reproducible:
always

Steps to Reproduce:
1. Example apipie doc for repository update, or examine "hammer repository update --help"

Actual results:
Expect to see ignore_global_proxy (--ignore-global-proxy for hammer)

Expected results:
do not see these.

Comment 1 Justin Sherrill 2018-02-12 19:38:11 UTC
Connecting redmine issue http://projects.theforeman.org/issues/22561 from this bug

Comment 3 Brad Buckingham 2018-02-20 18:45:13 UTC
This bug was created during verification of bug 1132980.

Comment 4 Satellite Program 2018-02-26 21:14:56 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22561 has been resolved.

Comment 9 Roman Plevka 2018-07-17 09:56:45 UTC
VERIFIED
on sat6.4.0-12

the options is now documented in both - POST and PUT sections

Comment 10 Bryan Kearney 2018-10-16 19:13:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.